import React, { Component } from 'react'
import {
    View,
    FlatList,
    Text,
    TouchableOpacity
} from 'react-native'
import styles from './styles'
import PropTypes from 'prop-types'

class Connections extends Component {

    static propTypes = {
        myConnections: PropTypes.array,
    }
    static defaultProps = {
        myConnections: null,
    }

    static navigationOptions = {
        title: 'Connections',
        headerStyle: {
            backgroundColor: 'orange',
        },
        headerTintColor: '#fff',
        headerTitleStyle: {
            fontWeight: 'bold',
        }
    }

    constructor(props) {
        super(props)
        this.state = {
            currentUid: 2,
            myConnections: []
        }
    }

    componentDidMount() {
    }


    FlatListItemSeparator = () => {
        return (
            <View
                style={styles.listSeparator}
            />
        );
    }

    render() {
        console.log("MyConnections:" + this.props.myConnections)
        const {myConnections}=this.props
        return (
            <View>
                <Text>This is connections</Text>
                <FlatList
                    data={myConnections}
                    ItemSeparatorComponent={this.FlatListItemSeparator}
                    renderItem={({ item }) =>
                        <View style={{ padding: 15 }}>
                            <View flexDirection="row" justifyContent='space-between'>
                                <TouchableOpacity
                                    style={{ flex: 1 }}
                                    onPress={() => {
                                        // this.props.navigation.navigate("NetworkDetail", item)
                                    }}>
                                    <View>
                                        <Text style={{ fontSize: 16, color: 'black' }}>
                                            {item.name}
                                        </Text>
                                    </View>
                                </TouchableOpacity>
                                <View>
                                    <TouchableOpacity style={styles.disconnectBtn} onPress={() => this.removeConnection(item.uid)}>
                                        <Text style={{ color: 'white' }}>Remove</Text>
                                    </TouchableOpacity>
                                </View>
                            </View>
                        </View>}
                    keyExtractor={item => item.checkinElementId}
                />
            </View>
        )
    }
}

export default Connections